package cn.estsh.i3plus.pojo.mes.model.report;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2020/12/28 14:24 下午
 * @Description: 一次性通过率占比柏拉图报表model
 **/
@Api("一次性通过率占比柏拉图报表model")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProduceDispPassPlatoModel {

    @ApiParam("项目号")
    private String prodCfgTypeCode;

    @ApiParam("零件号")
    private String partNo;

    @ApiParam("缺陷代码")
    private String defectCode;

    @ApiParam("缺陷名称")
    private String defectName;

    @ApiParam("单项占比")
    private Double singleRatio;

    @ApiParam("累计占比")
    private Double cumulativeRatio;

    @ApiParam("数量")
    private Long qty;

    public ProduceDispPassPlatoModel(String prodCfgTypeCode, String partNo, String defectCode, String defectName, Long qty) {
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.partNo = partNo;
        this.defectCode = defectCode;
        this.defectName = defectName;
        this.qty = qty;
    }

    public ProduceDispPassPlatoModel(String prodCfgTypeCode, String partNo, Long qty) {
        this.prodCfgTypeCode = prodCfgTypeCode;
        this.partNo = partNo;
        this.qty = qty;
    }
}
